load_paths << "config/stages"

load 'production'

namespace :deploy do
  %w(start stop restart).each do |action| 
    desc "#{action} the Thin processes"  
    task action.to_sym do
      find_and_execute_task("thin:#{action}")
    end
  end 
  task :copy_config_files do
    run "cp #{shared_path}/system/config.yml #{current_path}/config.yml"
    run "cp #{shared_path}/system/config.ru #{current_path}/config.ru"
  end
end
namespace :thin do  
  %w(start stop restart).each do |action| 
  desc "#{action} the app's Thin Cluster"  
    task action.to_sym, :roles => :app do  
      run "thin #{action} -c #{deploy_to}/current -C #{deploy_to}/current/config.yml" 
    end
  end
end